
Katello - Feature #5335

Providers: Clean-up backend usage of providers.

04/21/2014 11:32 PM - Mike McCune

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While working on the new Products UI, we came to the realization that Providers serve as nothing more than a tag for a set of

products. Currently our backend models for Products and Repositories rely heavily on the Provider model. The Provider model

should be re-evaluated to determine it's current user stories and code re-factored to meet these requirements.

----

Imported from https://trello.com/c/DYfNUExf/213-providers-clean-up-backend-usage-of-providers_

History

#1 - 08/18/2014 03:19 PM - Eric Helms

- Status changed from New to Resolved

- Triaged set to No

#2 - 08/22/2014 08:04 AM - Eric Helms

- translation missing: en.field_release set to 13
